Bug 1569165 - [RFE] service broker node selector installer variables
Summary: [RFE] service broker node selector installer variables
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.7.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.9.z
Assignee: Vadim Rutkovsky
QA Contact: Weihua Meng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 17:40 UTC by Steven Walter
Modified: 2018-12-13 19:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: A nodeselector for TSB was not documented Consequence: Users were not aware template_service_broker_selector and openshift_hosted_infra_selector could be changed Fix: hosts.example now lists openshift_hosted_infra_selector and template_service_broker_selector Result: TSB and infra node selector is more visible
Clone Of:
Environment:
Last Closed: 2018-12-13 19:26:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3417741 0 None None None 2018-04-18 17:56:52 UTC
Red Hat Product Errata RHBA-2018:3748 0 None None None 2018-12-13 19:27:10 UTC

Description Steven Walter 2018-04-18 17:40:42 UTC
1. Proposed title of this feature request

 Variables to set in the ansible hosts file to change the node selector expected by the brokers
 

3. What is the nature and description of the request?

 We are looking to include a node selector variable to allow the installer to deploy broker components (template service broker, etc) to nodes with labels other than region=infra. If a customer uses different labels, such as "zone=infrastructure" or "type=infra" the playbook will fail.

 WORKAROUND: add "region=infra" to the nodes

4. Why does the customer need this? (List the business requirements here)
 Convenience and to match other existing components like logging, etc which include node selectors

7. Is there already an existing RFE upstream or in Red Hat bugzilla?
 None I could find 

8. Does the customer have any specific timeline dependencies?
 No

9. Is the sales team involved in this request and do they have any additional input?
 No 

10. List any affected packages or components.
 Ansible playbooks, service brokers/catalog

Comment 4 Vadim Rutkovsky 2018-08-06 11:20:52 UTC
Created https://github.com/openshift/openshift-ansible/pull/8897 to document TSB nodeselector in 3.9

3.10+ would install TSB on masters

Comment 5 Vadim Rutkovsky 2018-08-06 11:22:26 UTC
Fix for 3.7 is available since openshift-ansible-3.7.56-1. Moving this to 3.9.z since it doesn't apply to 3.11

Comment 6 Vadim Rutkovsky 2018-10-24 13:31:39 UTC
Fix is available in openshift-ansible-3.9.48-1

Comment 8 Weihua Meng 2018-10-26 05:05:33 UTC
Fixed.

openshift-ansible-3.9.48-1.git.0.09f6c01.el7.noarch

template_service_broker_selector
openshift_hosted_infra_selector

are documented and working well

Kernel Version: 3.10.0-862.14.4.el7.x86_64
Operating System: Red Hat Enterprise Linux Server 7.5 (Maipo)

Comment 11 errata-xmlrpc 2018-12-13 19:26:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3748


Note You need to log in before you can comment on or make changes to this bug.